package com.sobot.callsdk.model;

import java.io.Serializable;
import java.util.ArrayList;

public class SobotCall3Response<T> implements Serializable {

    public ItemBean<T> item;
    public String retCode;
    public String retMsg;

    public static class ItemBean<T> implements Serializable {
        private ArrayList<T> data;
        private ArrayList<T> result;

        public ArrayList<T> getData() {
            return data;
        }

        public void setData(ArrayList<T> data) {
            this.data = data;
        }

        public ArrayList<T> getResult() {
            return result;
        }

        public void setResult(ArrayList<T> result) {
            this.result = result;
        }
    }
}