package com.sobot.callsdk.model;

import java.io.Serializable;

public class SobotCallCenterStatus implements Serializable {
    /**
     * dictCode : 1028
     * dictId : 114
     * dictName : 小休
     * dictRemark : 呼叫中心自定义状态
     * dictValue : 5
     * dictStatus : 1   是否开启，1是开启
     */

    private String dictCode;
    private String dictId;
    private String dictName;
    private String dictRemark;
    private String dictValue;
    private int dictStatus;
    private String callVersion;//callVersion值为1012表示开通呼叫中心 ，其余表示未开通。只有getAppCallVersion()接口会返回这个字段

    @Override
    public String toString() {
        return "CallCenterStatus{" +
                "dictCode='" + dictCode + '\'' +
                ", dictId='" + dictId + '\'' +
                ", dictName='" + dictName + '\'' +
                ", dictRemark='" + dictRemark + '\'' +
                ", dictValue='" + dictValue + '\'' +
                ", dictStatus='" + dictStatus + '\'' +
                ", callVersion='" + callVersion + '\'' +
                '}';
    }

    public String getCallVersion() {
        return callVersion;
    }

    public void setCallVersion(String callVersion) {
        this.callVersion = callVersion;
    }

    public String getDictCode() {
        return dictCode;
    }

    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictRemark() {
        return dictRemark;
    }

    public void setDictRemark(String dictRemark) {
        this.dictRemark = dictRemark;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public int getDictStatus() {
        return dictStatus;
    }

    public void setDictStatus(int dictStatus) {
        this.dictStatus = dictStatus;
    }
}