package com.sobot.callsdk.model;

import java.io.Serializable;
import java.util.List;

/**
 * @author: Sobot
 * 通话记录v6-主话单
 * 2022/7/22
 */
public class SobotCallPageEntity<T> implements Serializable {

    private int pageNum;
    private int pageSize;
    private int totalNum;
    private List<T> pageData;

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(int totalNum) {
        this.totalNum = totalNum;
    }

    public List<T> getPageData() {
        return pageData;
    }

    public void setPageData(List<T> pageData) {
        this.pageData = pageData;
    }
}
