package com.sobot.callsdk.model;

import org.json.JSONException;
import org.json.JSONObject;

import java.io.Serializable;

public class SobotPhoneTypesEntity implements Serializable {
    //sip：SIP话机；pstn：手机；wertc：网页（app不支持网页，隐藏）
    private String phoneType;
    //true已设置默认接听方式；false未设置接听方式集合中只有1条数据为ture；
    private boolean defaultPhoneType;
    //true已设置默认接听方式；false未设置接听方式集合中只有1条数据为ture； 建议使用defaultPhoneType，isDefault以后会删除掉
    private boolean isDefault;

    public String getPhoneType() {
        return phoneType;
    }

    public void setPhoneType(String phoneType) {
        this.phoneType = phoneType;
    }

    public boolean isDefaultPhoneType() {
        return defaultPhoneType;
    }

    public void setDefaultPhoneType(boolean defaultPhoneType) {
        this.defaultPhoneType = defaultPhoneType;
    }

    public boolean isDefault() {
        return isDefault;
    }

    public void setDefault(boolean aDefault) {
        isDefault = aDefault;
    }

    public JSONObject getJson(){
        JSONObject jsonObject = new JSONObject();
        try {
            jsonObject.put("phoneType",phoneType);
            jsonObject.put("defaultPhoneType",defaultPhoneType);
            jsonObject.put("isDefault",isDefault);
        } catch (JSONException e) {
            e.printStackTrace();
        }
        return jsonObject;
    }
}
