package com.sobot.callsdk.utils;

import java.util.HashMap;

public class SobotApplication {
    private static SobotApplication mInstance;
    private HashMap mMap;

    private SobotApplication() {
        this.mMap = new HashMap();
    }

    public static SobotApplication getmInstance() {
        if (mInstance == null) {
            synchronized (SobotApplication.class) {
                if (mInstance == null) {
                    mInstance = new SobotApplication();
                }
            }
        }
        return mInstance;
    }

    public void put(String key, Object value) {
        if (mMap != null) {
            mMap.put(key, value);
        }
    }

    public Object get(String key) {
        if (mMap != null) {
            return mMap.get(key);
        }
        return null;
    }

}
