package com.sobot.callsdk.v1.activity;

import android.content.Intent;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.sobot.callsdk.R;
import com.sobot.callsdk.activity.SobotDialogBaseActivity;

//接听方式选择界面
public class SobotAnswerModeChooseActivity extends SobotDialogBaseActivity implements View.OnClickListener {

    private TextView tv_answer_mode_phone;//手机接听方式
    private TextView tv_answer_mode_sip;//手机接听方式
    private LinearLayout ll_cancle;//关闭界面返回

    @Override
    protected int getContentViewResId() {
        return R.layout.sobot_dialog_answer_mode_choose;
    }

    @Override
    protected void initView() {
        tv_answer_mode_phone = findViewById(R.id.tv_answer_mode_phone);
        tv_answer_mode_sip = findViewById(R.id.tv_answer_mode_sip);
        ll_cancle = findViewById(R.id.ll_cancle);
        tv_answer_mode_phone.setOnClickListener(this);
        tv_answer_mode_sip.setOnClickListener(this);
        ll_cancle.setOnClickListener(this);
    }

    @Override
    protected void initData() {
    }

    @Override
    public void onClick(View v) {
        if (v.getId() == tv_answer_mode_phone.getId()) {
            Intent resultIntent = new Intent();
            resultIntent.putExtra("type", 3);//手机方式
            resultIntent.putExtra("typeName", tv_answer_mode_phone.getText().toString());
            setResult(RESULT_OK, resultIntent);
            finish();
        } else if (v.getId() == tv_answer_mode_sip.getId()) {
            Intent resultIntent = new Intent();
            resultIntent.putExtra("type", 2);//sip方式
            resultIntent.putExtra("typeName", tv_answer_mode_sip.getText().toString());
            setResult(RESULT_OK, resultIntent);
            finish();
        } else if (v.getId() == ll_cancle.getId()) {
            finish();
        }
    }
}