package com.sobot.callsdk.model;

import java.io.Serializable;

// v1
public class SobotCallInfo implements Serializable {
    public String appid; // 应用id

    public String client_secret;// 秘钥，即创建app时返回的token值

    public String companyid;//企业ID

    public String access_token;// token 登录接口使用 （备注 根据登录api 是否传入，如果传入就是传入的token覆盖，没有就通过client_secret 、companyId调用获取token接口去获取）

    public String agent_state;// 座席状态  （可选）

    public String display_number;// 座席手机登录时，回呼座席手机的外显号码，以及座席转接或咨询第三方时，呼叫第三方号码的外显号码

    public String agent_phone_num;//特殊时使用，此字段代表voip账号上班，但呼入时是转到座席的指定的手机号，只有呼出时才使用voip账号呼出

    public String groupid;// 所在技能组

    public String agentid; // 座席ID

    public String sip_address = "39.105.93.78:7880"; //域名 注册使用sip话机使用

    public String sip_number;//sip账号(手机号或voip账号)

    public String sip_pwd;//sip密码

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getClient_secret() {
        return client_secret;
    }

    public void setClient_secret(String client_secret) {
        this.client_secret = client_secret;
    }

    public String getCompanyid() {
        return companyid;
    }

    public void setCompanyid(String companyid) {
        this.companyid = companyid;
    }

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public String getAgent_state() {
        return agent_state;
    }

    public void setAgent_state(String agent_state) {
        this.agent_state = agent_state;
    }

    public String getDisplay_number() {
        return display_number;
    }

    public void setDisplay_number(String display_number) {
        this.display_number = display_number;
    }

    public String getAgent_phone_num() {
        return agent_phone_num;
    }

    public void setAgent_phone_num(String agent_phone_num) {
        this.agent_phone_num = agent_phone_num;
    }

    public String getGroupid() {
        return groupid;
    }

    public void setGroupid(String groupid) {
        this.groupid = groupid;
    }

    public String getAgentid() {
        return agentid;
    }

    public void setAgentid(String agentid) {
        this.agentid = agentid;
    }

    public String getSip_address() {
        return sip_address;
    }

    public void setSip_address(String sip_address) {
        this.sip_address = sip_address;
    }

    public String getSip_number() {
        return sip_number;
    }

    public void setSip_number(String sip_number) {
        this.sip_number = sip_number;
    }

    public String getSip_pwd() {
        return sip_pwd;
    }

    public void setSip_pwd(String sip_pwd) {
        this.sip_pwd = sip_pwd;
    }

}
