package com.sobot.callsdk.v1.entity;

import java.io.Serializable;

/**
 * token 实体类
 */
public class SobotCallTokenEntity implements Serializable {
//      "access_token": "2d0866f9-c2a1-49d6-9838-595e179d5ef6",
//              "token_type": "bearer",
//              "expires_in": 59,
//              "scope": "select"
    /**
     * Token令牌
     */
    private String access_token;
    /**
     * 令牌类型
     */
    private String token_type;
    /**
     * 剩余失效时长（单位为秒）
     */
    private String expires_in;
    /**
     * 模式
     */
    private String scope;

    public String getAccess_token() {
        return access_token;
    }

    public void setAccess_token(String access_token) {
        this.access_token = access_token;
    }

    public String getToken_type() {
        return token_type;
    }

    public void setToken_type(String token_type) {
        this.token_type = token_type;
    }

    public String getExpires_in() {
        return expires_in;
    }

    public void setExpires_in(String expires_in) {
        this.expires_in = expires_in;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    @Override
    public String toString() {
        return "SobotCallTokenEntity{" +
                "access_token='" + access_token + '\'' +
                ", token_type='" + token_type + '\'' +
                ", expires_in='" + expires_in + '\'' +
                ", scope='" + scope + '\'' +
                '}';
    }
}
