package com.sobot.callsdk.model;

import java.io.Serializable;

/**
 * @author Created by jinxl on 2019/3/15.
 */
public class SobotCallDetailInfo implements Serializable {


    /**
     * abandonFlag : 0
     * agentAlertingTime : 1547631052158
     * agentAlertingTimeStr : 20190116173052158
     * agentEndTime : 1547631067185
     * agentEndTimeStr : 20190116173107185
     * agentStartTime : 1547631067123
     * agentStartTimeStr : 20190116173107123
     * agentid : 2856580f156a4f9ea73dd4e9ac86896e
     * alertingTimeDuration : 15
     * businessId :
     * businessName :
     * businessTypeId :
     * businessTypeName :
     * bussinessTypePathId :
     * bussinessTypePathName :
     * callDuration : 15
     * callFlag : 0
     * callRecordId : bed74e85-103e-4a8a-91ab-6cbbce0258f3
     * callResult : 21
     * callSucc : false
     * callWay : 3
     * callee : 10086
     * calleeId :
     * calleeName :
     * caller : 15110157909
     * callerId : 2856580f156a4f9ea73dd4e9ac86896e
     * callerName : testxx
     * companyId : f4f016828d0747ea8da900fda25f7aa7
     * departmentId :
     * direction : 1
     * disNumber : 075536654679
     * duration : 0
     * endTime : 1547631067185
     * endTimeStr : 20190116173107185
     * ender : 2
     * endtype : 3
     * enterGroupFlag : 1
     * existFlag : 0
     * fee : 0
     * feeDuration : 0
     * groupId : f4f016828d0747ea8da900fda25f7aa7_1
     * groupName : testxx
     * groupType : 2
     * handleStatus : -1
     * hiddenFlag : 0
     * hold : 0
     * holdCount : 0
     * holdTime : 0
     * id : bed74e85-103e-4a8a-91ab-6cbbce0258f3
     * inQueueTime : 0
     * inQueueTimeStr :
     * isLeaveMsg : 0
     * isOutCallInTask : 0
     * isqueue : 0
     * leaveMsgUrl :
     * lineType : 5
     * nick :
     * numberCity : 未知归属地
     * numberProvice : 未知归属地
     * outQueueTime : 0
     * outQueueTimeStr :
     * passPlatformType : 1
     * platformType : 0
     * qualityStatus : 0
     * queueDuration : 0
     * queueState : 1
     * receiveStaffIds : 2856580f156a4f9ea73dd4e9ac86896e,2856580f156a4f9ea73dd4e9ac86896e,2856580f156a4f9ea73dd4e9ac86896e
     * receiveStaffNames : testxx,testxx
     * remarks :
     * satisfyLevel : 2
     * satisfyNumber : 0
     * satisfyValue :
     * serviceEmail : 132@sobot.com
     * staffId : 2856580f156a4f9ea73dd4e9ac86896e
     * staffName : testxx
     * startTime : 1547631051645
     * startTimeStr : 20190116173051645
     * summaryStaffName :
     * summaryUpdateTime : 0
     * summaryUpdateTimeStr :
     * taskId :
     * taskStatus : 0
     * transferCount : 0
     * transferFlag : 0
     * unHold : 0
     * userAlertingTime : 0
     * userAlertingTimeStr :
     * userAnswerTime : 0
     * userAnswerTimeStr :
     * userCompanyId :
     * userCompanyName :
     * userId :
     * userName :
     * voiceAliyunUrl :
     * voiceRonglianUrl :
     */

    //呼叫类型（1：呼出；0：呼入）
    private int direction;
    //呼叫结果类型
    // 10：座席接听
    //11：振铃未接听
    //12：IVR放弃
    //13：排队失败
    //14：非服务时间来电
    //15：呼入话机异常
    //16：呼入网络异常
    //20：客户接听
    //770：客户关机
    //771：客户停机
    //772：暂时无法接通
    //773：客户正在通话
    //774：号码空号
    //781：客户拒接
    //21：客户未接听
    //24：客户未接听
    //25：呼出话机异常
    //26：呼出网络异常
    private String callResult;
    //呼叫开始时间，时间戳（毫秒）ss
    private String startTime;
    private String startTimeStr;
    //呼叫时长（秒）
    private int callDuration;
    private int duration;

    private int abandonFlag;
    private long agentAlertingTime;
    private String agentAlertingTimeStr;
    private long agentEndTime;
    private String agentEndTimeStr;
    private long agentStartTime;
    private String agentStartTimeStr;
    private String agentid;
    private int alertingTimeDuration;
    private String businessId;
    private String businessName;
    private String businessTypeId;
    private String businessTypeName;
    private String bussinessTypePathId;
    private String bussinessTypePathName;

    private int callFlag;
    private String callRecordId;

    private boolean callSucc;
    private int callWay;
    private String callee;
    private String calleeId;
    private String calleeName;
    private String caller;
    private String callerId;
    private String callerName;
    private String companyId;
    private String departmentId;

    private String disNumber;

    private long endTime;
    private String endTimeStr;
    private int ender;
    private int endtype;
    private int enterGroupFlag;
    private String existFlag;
    private String groupId;
    private String groupName;
    private int groupType;
    private int handleStatus;
    private int hiddenFlag;
    private int hold;
    private int holdCount;
    private long holdTime;
    private String id;
    private long inQueueTime;
    private String inQueueTimeStr;
    private int isLeaveMsg;
    private int isOutCallInTask;
    private int isqueue;
    private String leaveMsgUrl;
    private int lineType;
    private String nick;
    private String img;
    private String numberCity;
    private String numberProvice;
    private long outQueueTime;
    private String outQueueTimeStr;
    private int passPlatformType;
    private int platformType;
    private int qualityStatus;
    private int queueDuration;
    private int queueState;
    private String receiveStaffIds;
    private String receiveStaffNames;
    private String remarks;
    private int satisfyLevel;
    private int satisfyNumber;
    private String satisfyValue;
    private String serviceEmail;
    private String staffId;
    private String staffName;

    private String summaryStaffName;
    private String taskId;
    private int taskStatus;
    private int transferCount;
    private int transferFlag;
    private int unHold;
    private String userAlertingTimeStr;
    private String userAnswerTimeStr;
    private String userCompanyId;
    private String userCompanyName;
    private String userId;
    private String userName;
    private String voiceAliyunUrl;
    private String voiceRonglianUrl;

    public int getAbandonFlag() {
        return abandonFlag;
    }

    public void setAbandonFlag(int abandonFlag) {
        this.abandonFlag = abandonFlag;
    }

    public long getAgentAlertingTime() {
        return agentAlertingTime;
    }

    public void setAgentAlertingTime(long agentAlertingTime) {
        this.agentAlertingTime = agentAlertingTime;
    }

    public String getAgentAlertingTimeStr() {
        return agentAlertingTimeStr;
    }

    public void setAgentAlertingTimeStr(String agentAlertingTimeStr) {
        this.agentAlertingTimeStr = agentAlertingTimeStr;
    }

    public long getAgentEndTime() {
        return agentEndTime;
    }

    public void setAgentEndTime(long agentEndTime) {
        this.agentEndTime = agentEndTime;
    }

    public String getAgentEndTimeStr() {
        return agentEndTimeStr;
    }

    public void setAgentEndTimeStr(String agentEndTimeStr) {
        this.agentEndTimeStr = agentEndTimeStr;
    }

    public long getAgentStartTime() {
        return agentStartTime;
    }

    public void setAgentStartTime(long agentStartTime) {
        this.agentStartTime = agentStartTime;
    }

    public String getAgentStartTimeStr() {
        return agentStartTimeStr;
    }

    public void setAgentStartTimeStr(String agentStartTimeStr) {
        this.agentStartTimeStr = agentStartTimeStr;
    }

    public String getAgentid() {
        return agentid;
    }

    public void setAgentid(String agentid) {
        this.agentid = agentid;
    }

    public int getAlertingTimeDuration() {
        return alertingTimeDuration;
    }

    public void setAlertingTimeDuration(int alertingTimeDuration) {
        this.alertingTimeDuration = alertingTimeDuration;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getBusinessTypeId() {
        return businessTypeId;
    }

    public void setBusinessTypeId(String businessTypeId) {
        this.businessTypeId = businessTypeId;
    }

    public String getBusinessTypeName() {
        return businessTypeName;
    }

    public void setBusinessTypeName(String businessTypeName) {
        this.businessTypeName = businessTypeName;
    }

    public String getBussinessTypePathId() {
        return bussinessTypePathId;
    }

    public void setBussinessTypePathId(String bussinessTypePathId) {
        this.bussinessTypePathId = bussinessTypePathId;
    }

    public String getBussinessTypePathName() {
        return bussinessTypePathName;
    }

    public void setBussinessTypePathName(String bussinessTypePathName) {
        this.bussinessTypePathName = bussinessTypePathName;
    }

    public int getCallDuration() {
        return callDuration;
    }

    public void setCallDuration(int callDuration) {
        this.callDuration = callDuration;
    }

    public int getCallFlag() {
        return callFlag;
    }

    public void setCallFlag(int callFlag) {
        this.callFlag = callFlag;
    }

    public String getCallRecordId() {
        return callRecordId;
    }

    public void setCallRecordId(String callRecordId) {
        this.callRecordId = callRecordId;
    }

    public String getCallResult() {
        return callResult;
    }

    public void setCallResult(String callResult) {
        this.callResult = callResult;
    }

    public boolean isCallSucc() {
        return callSucc;
    }

    public void setCallSucc(boolean callSucc) {
        this.callSucc = callSucc;
    }

    public int getCallWay() {
        return callWay;
    }

    public void setCallWay(int callWay) {
        this.callWay = callWay;
    }

    public String getCallee() {
        return callee;
    }

    public void setCallee(String callee) {
        this.callee = callee;
    }

    public String getCalleeId() {
        return calleeId;
    }

    public void setCalleeId(String calleeId) {
        this.calleeId = calleeId;
    }

    public String getCalleeName() {
        return calleeName;
    }

    public void setCalleeName(String calleeName) {
        this.calleeName = calleeName;
    }

    public String getCaller() {
        return caller;
    }

    public void setCaller(String caller) {
        this.caller = caller;
    }

    public String getCallerId() {
        return callerId;
    }

    public void setCallerId(String callerId) {
        this.callerId = callerId;
    }

    public String getCallerName() {
        return callerName;
    }

    public void setCallerName(String callerName) {
        this.callerName = callerName;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public int getDirection() {
        return direction;
    }

    public void setDirection(int direction) {
        this.direction = direction;
    }

    public String getDisNumber() {
        return disNumber;
    }

    public void setDisNumber(String disNumber) {
        this.disNumber = disNumber;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }

    public String getEndTimeStr() {
        return endTimeStr;
    }

    public void setEndTimeStr(String endTimeStr) {
        this.endTimeStr = endTimeStr;
    }

    public int getEnder() {
        return ender;
    }

    public void setEnder(int ender) {
        this.ender = ender;
    }

    public int getEndtype() {
        return endtype;
    }

    public void setEndtype(int endtype) {
        this.endtype = endtype;
    }

    public int getEnterGroupFlag() {
        return enterGroupFlag;
    }

    public void setEnterGroupFlag(int enterGroupFlag) {
        this.enterGroupFlag = enterGroupFlag;
    }

    public String getExistFlag() {
        return existFlag;
    }

    public void setExistFlag(String existFlag) {
        this.existFlag = existFlag;
    }



    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public int getGroupType() {
        return groupType;
    }

    public void setGroupType(int groupType) {
        this.groupType = groupType;
    }

    public int getHandleStatus() {
        return handleStatus;
    }

    public void setHandleStatus(int handleStatus) {
        this.handleStatus = handleStatus;
    }

    public int getHiddenFlag() {
        return hiddenFlag;
    }

    public void setHiddenFlag(int hiddenFlag) {
        this.hiddenFlag = hiddenFlag;
    }

    public int getHold() {
        return hold;
    }

    public void setHold(int hold) {
        this.hold = hold;
    }

    public int getHoldCount() {
        return holdCount;
    }

    public void setHoldCount(int holdCount) {
        this.holdCount = holdCount;
    }



    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public long getInQueueTime() {
        return inQueueTime;
    }

    public void setInQueueTime(long inQueueTime) {
        this.inQueueTime = inQueueTime;
    }

    public String getInQueueTimeStr() {
        return inQueueTimeStr;
    }

    public void setInQueueTimeStr(String inQueueTimeStr) {
        this.inQueueTimeStr = inQueueTimeStr;
    }

    public int getIsLeaveMsg() {
        return isLeaveMsg;
    }

    public void setIsLeaveMsg(int isLeaveMsg) {
        this.isLeaveMsg = isLeaveMsg;
    }

    public int getIsOutCallInTask() {
        return isOutCallInTask;
    }

    public void setIsOutCallInTask(int isOutCallInTask) {
        this.isOutCallInTask = isOutCallInTask;
    }

    public int getIsqueue() {
        return isqueue;
    }

    public void setIsqueue(int isqueue) {
        this.isqueue = isqueue;
    }

    public String getLeaveMsgUrl() {
        return leaveMsgUrl;
    }

    public void setLeaveMsgUrl(String leaveMsgUrl) {
        this.leaveMsgUrl = leaveMsgUrl;
    }

    public int getLineType() {
        return lineType;
    }

    public void setLineType(int lineType) {
        this.lineType = lineType;
    }

    public String getNick() {
        return nick;
    }

    public void setNick(String nick) {
        this.nick = nick;
    }

    public String getNumberCity() {
        return numberCity;
    }

    public void setNumberCity(String numberCity) {
        this.numberCity = numberCity;
    }

    public String getNumberProvice() {
        return numberProvice;
    }

    public void setNumberProvice(String numberProvice) {
        this.numberProvice = numberProvice;
    }



    public String getOutQueueTimeStr() {
        return outQueueTimeStr;
    }

    public void setOutQueueTimeStr(String outQueueTimeStr) {
        this.outQueueTimeStr = outQueueTimeStr;
    }

    public int getPassPlatformType() {
        return passPlatformType;
    }

    public void setPassPlatformType(int passPlatformType) {
        this.passPlatformType = passPlatformType;
    }

    public int getPlatformType() {
        return platformType;
    }

    public void setPlatformType(int platformType) {
        this.platformType = platformType;
    }

    public int getQualityStatus() {
        return qualityStatus;
    }

    public void setQualityStatus(int qualityStatus) {
        this.qualityStatus = qualityStatus;
    }

    public int getQueueDuration() {
        return queueDuration;
    }

    public void setQueueDuration(int queueDuration) {
        this.queueDuration = queueDuration;
    }

    public int getQueueState() {
        return queueState;
    }

    public void setQueueState(int queueState) {
        this.queueState = queueState;
    }

    public String getReceiveStaffIds() {
        return receiveStaffIds;
    }

    public void setReceiveStaffIds(String receiveStaffIds) {
        this.receiveStaffIds = receiveStaffIds;
    }

    public String getReceiveStaffNames() {
        return receiveStaffNames;
    }

    public void setReceiveStaffNames(String receiveStaffNames) {
        this.receiveStaffNames = receiveStaffNames;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public int getSatisfyLevel() {
        return satisfyLevel;
    }

    public void setSatisfyLevel(int satisfyLevel) {
        this.satisfyLevel = satisfyLevel;
    }

    public int getSatisfyNumber() {
        return satisfyNumber;
    }

    public void setSatisfyNumber(int satisfyNumber) {
        this.satisfyNumber = satisfyNumber;
    }

    public String getSatisfyValue() {
        return satisfyValue;
    }

    public void setSatisfyValue(String satisfyValue) {
        this.satisfyValue = satisfyValue;
    }

    public String getServiceEmail() {
        return serviceEmail;
    }

    public void setServiceEmail(String serviceEmail) {
        this.serviceEmail = serviceEmail;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getStartTimeStr() {
        return startTimeStr;
    }

    public void setStartTimeStr(String startTimeStr) {
        this.startTimeStr = startTimeStr;
    }

    public String getSummaryStaffName() {
        return summaryStaffName;
    }

    public void setSummaryStaffName(String summaryStaffName) {
        this.summaryStaffName = summaryStaffName;
    }


    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public int getTransferCount() {
        return transferCount;
    }

    public void setTransferCount(int transferCount) {
        this.transferCount = transferCount;
    }

    public int getTransferFlag() {
        return transferFlag;
    }

    public void setTransferFlag(int transferFlag) {
        this.transferFlag = transferFlag;
    }

    public int getUnHold() {
        return unHold;
    }

    public void setUnHold(int unHold) {
        this.unHold = unHold;
    }

    public String getUserAlertingTimeStr() {
        return userAlertingTimeStr;
    }

    public void setUserAlertingTimeStr(String userAlertingTimeStr) {
        this.userAlertingTimeStr = userAlertingTimeStr;
    }

    public String getUserAnswerTimeStr() {
        return userAnswerTimeStr;
    }

    public void setUserAnswerTimeStr(String userAnswerTimeStr) {
        this.userAnswerTimeStr = userAnswerTimeStr;
    }

    public String getUserCompanyId() {
        return userCompanyId;
    }

    public void setUserCompanyId(String userCompanyId) {
        this.userCompanyId = userCompanyId;
    }

    public String getUserCompanyName() {
        return userCompanyName;
    }

    public void setUserCompanyName(String userCompanyName) {
        this.userCompanyName = userCompanyName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getVoiceAliyunUrl() {
        return voiceAliyunUrl;
    }

    public void setVoiceAliyunUrl(String voiceAliyunUrl) {
        this.voiceAliyunUrl = voiceAliyunUrl;
    }

    public String getVoiceRonglianUrl() {
        return voiceRonglianUrl;
    }

    public void setVoiceRonglianUrl(String voiceRonglianUrl) {
        this.voiceRonglianUrl = voiceRonglianUrl;
    }

    public long getHoldTime() {
        return holdTime;
    }

    public void setHoldTime(long holdTime) {
        this.holdTime = holdTime;
    }

    public long getOutQueueTime() {
        return outQueueTime;
    }

    public void setOutQueueTime(long outQueueTime) {
        this.outQueueTime = outQueueTime;
    }

    // 10：座席接听
    //11：振铃未接听
    //12：IVR放弃
    //13：排队失败
    //14：非服务时间来电
    //15：呼入话机异常
    //16：呼入网络异常
    //20：客户接听
    //770：客户关机
    //771：客户停机
    //772：暂时无法接通
    //773：客户正在通话
    //774：号码空号
    //781：客户拒接
    //21：客户未接听
    //24：客户未接听
    //25：呼出话机异常
    //26：呼出网络异常
    public String getCallResultStr() {
        if ("10".equals(callResult)) {
            return "座席接听";
        } else if ("11".equals(callResult)) {
            return "振铃未接听";
        } else if ("12".equals(callResult)) {
            return "IVR放弃";
        } else if ("13".equals(callResult)) {
            return "排队失败";
        } else if ("14".equals(callResult)) {
            return "非服务时间来电";
        } else if ("15".equals(callResult)) {
            return "呼入话机异常";
        } else if ("16".equals(callResult)) {
            return "呼入网络异常";
        } else if ("20".equals(callResult)) {
            return "客户接听";
        } else if ("770".equals(callResult)) {
            return "客户关机";
        } else if ("771".equals(callResult)) {
            return "客户停机";
        } else if ("772".equals(callResult)) {
            return "暂时无法接通";
        } else if ("773".equals(callResult)) {
            return "客户正在通话";
        } else if ("774".equals(callResult)) {
            return "号码空号";
        } else if ("781".equals(callResult)) {
            return "客户拒接";
        } else if ("21".equals(callResult)) {
            return "客户未接听";
        } else if ("24".equals(callResult)) {
            return "客户未接听";
        } else if ("25".equals(callResult)) {
            return "呼出话机异常";
        } else if ("26".equals(callResult)) {
            return "呼出网络异常";
        }
        return "";
    }
}
