package com.sobot.callsdk.model;

import java.io.Serializable;

/**
 * V6 呼叫任务实体类
 */
public class SobotCallTaskEntity implements Serializable {

    /**
     "campaignId": "c7a190710fea6M452888c34Fa312d2fe8cdb",
     "campaignName": "我是测试任务",
     "state": 2,
     "wrapUpTemplateName": "总结模板222",
     "scheduleStartTime": 1660552373160,
     "scheduleEndTime": 1661671979160,
     "contactRecordCount": 2,
     "callAnswerCounts": 0,
     "callDialCount": 0,
     "callAnswerRate": "0.00%",
     "assignAgentName": "gygy-5真名",
     "assignTime": 1660548955828,
     "contactAnswerRate": "0.00%",
     "contactExecuteRate": "0.00%",
     "contactRecordExecuteCount": 0
     */
    private String campaignId; // 任务id
    private String campaignName; // 任务名称
    private String wrapUpTemplateName; // 模板名称
    private String callAnswerRate; //累计外呼数
    private String assignAgentName; //分配人
    private String contactAnswerRate; //号码接听率
    private String contactExecuteRate; //号码执行率
    private long scheduleStartTime; //开始时间
    private long scheduleEndTime; //到期时间
    private long assignTime; //分配时间
    private int state; // 1："未开始", 2："进行中",3:"暂停中", (4:"已过期"),(5："已完成"),(6:"已归档"),(7:"已删除")
    private int contactRecordCount; //号码数
    private int expired; //是否已过期
    private int timed; //是否已定时
    private int callAnswerCounts; //累计外呼数
    private int callDialCount; // 累计外呼接听数
    private int contactRecordExecuteCount; //名单执行数
    @Override
    public String toString() {
        return "SobotCallTaskEntity{" +
                "campaignId=" + campaignId +
                ", campaignName=" + campaignName +
                ", wrapUpTemplateName=" + wrapUpTemplateName +
                ", callAnswerRate=" + callAnswerRate +
                ", assignAgentName=" + assignAgentName +
                ", contactAnswerRate=" + contactAnswerRate +
                ", contactExecuteRate=" + contactExecuteRate +
                ", scheduleStartTime=" + scheduleStartTime +
                ", scheduleEndTime=" + scheduleEndTime +
                ", assignTime='" + assignTime + '\'' +
                ", state=" + state +
                ", expired=" + expired +
                ", timed=" + timed +
                ", contactRecordCount='" + contactRecordCount + '\'' +
                ", callAnswerCounts='" + callAnswerCounts + '\'' +
                ", callDialCount=" + callDialCount +
                ", contactRecordExecuteCount=" + contactRecordExecuteCount +
                '}';
    }

    public int getTimed() {
        return timed;
    }

    public void setTimed(int timed) {
        this.timed = timed;
    }

    public int getExpired() {
        return expired;
    }

    public void setExpired(int expired) {
        this.expired = expired;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public String getWrapUpTemplateName() {
        return wrapUpTemplateName;
    }

    public void setWrapUpTemplateName(String wrapUpTemplateName) {
        this.wrapUpTemplateName = wrapUpTemplateName;
    }

    public String getCallAnswerRate() {
        return callAnswerRate;
    }

    public void setCallAnswerRate(String callAnswerRate) {
        this.callAnswerRate = callAnswerRate;
    }

    public String getAssignAgentName() {
        return assignAgentName;
    }

    public void setAssignAgentName(String assignAgentName) {
        this.assignAgentName = assignAgentName;
    }

    public String getContactAnswerRate() {
        return contactAnswerRate;
    }

    public void setContactAnswerRate(String contactAnswerRate) {
        this.contactAnswerRate = contactAnswerRate;
    }

    public String getContactExecuteRate() {
        return contactExecuteRate;
    }

    public void setContactExecuteRate(String contactExecuteRate) {
        this.contactExecuteRate = contactExecuteRate;
    }

    public long getScheduleStartTime() {
        return scheduleStartTime;
    }

    public void setScheduleStartTime(long scheduleStartTime) {
        this.scheduleStartTime = scheduleStartTime;
    }

    public long getScheduleEndTime() {
        return scheduleEndTime;
    }

    public void setScheduleEndTime(long scheduleEndTime) {
        this.scheduleEndTime = scheduleEndTime;
    }

    public long getAssignTime() {
        return assignTime;
    }

    public void setAssignTime(long assignTime) {
        this.assignTime = assignTime;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public int getContactRecordCount() {
        return contactRecordCount;
    }

    public void setContactRecordCount(int contactRecordCount) {
        this.contactRecordCount = contactRecordCount;
    }

    public int getCallAnswerCounts() {
        return callAnswerCounts;
    }

    public void setCallAnswerCounts(int callAnswerCounts) {
        this.callAnswerCounts = callAnswerCounts;
    }

    public int getCallDialCount() {
        return callDialCount;
    }

    public void setCallDialCount(int callDialCount) {
        this.callDialCount = callDialCount;
    }

    public int getContactRecordExecuteCount() {
        return contactRecordExecuteCount;
    }

    public void setContactRecordExecuteCount(int contactRecordExecuteCount) {
        this.contactRecordExecuteCount = contactRecordExecuteCount;
    }




}