package com.sobot.callsdk.utils;


public interface SobotCallConstant {

    //---- activity startActivityForResult  requestCode-------
    //打开接听方式选择界面
    int SOBOT_REQUEST_ANSWERMODECHOOSE_CODE = 0x1000;
    //打开座席登录状态选择界面
    int SOBOT_REQUEST_LOGIN_STATUS_CHOOSE_CODE = 0x1001;
    //打开座席登录登录弹窗界面
    int SOBOT_REQUEST_LOGIN_CODE = 0x1002;
    //打开分机账号选择界面
    int SOBOT_REQUEST_EXTENSIONCHOOSE_CODE = 0x1003;
    //通话界面最小化申请浮窗权限
    int SOBOT_REQUEST_FLOATING_WINDOW_CODE = 0x1004;


    //---- 广播-------
    String SOBOT_CALL_ACCOUNT_OFFLINE = "SOBOT_CALL_ACCOUNT_OFFLINE";//账号下线
    String SOBOT_SAVE_CUSTOMER_INFO = "sobot_call_save_customer_info";// 保存一个客户,成功以后

    String SOBOT_KEY_INIT = "sobot_call_key_init";//是否初始化

    String RESULT_SUCCESS_CODE = "000000";
    String RESULT_SUCCESS_CODE2 = "1";
    String RESULT_CALL_SUCCESS_CODE = "200";

    //session 超时 广播
    String SOBOT_BROADCAST_SESSION_TIMEOUT = "sobot_broadcast_session_timeout";

    int STARTUP_MODE_ACTIVITY = 8888;//activity启动方式

    int ACTIVITY_RESULT_NEED_REFRESH = 2222;//activity result刷新
    int ACTIVITY_RESULT_GET_CONDITION = 4444;//查询条件
    int ACTIVITY_RESULT_DETAIL = 4774;//详情页面

    //申请权限的code
    int SOBOT_PERMISSIONS_REQUEST_CODE = 195;

    //网络电话
    int CALL_MODEL_NETWORK = 1;
    // 电话
    int CALL_MODEL_PHONE = 3;
    //sip 电话 int
    int CALL_MODEL_SIP = 2;
    //sip 电话 String
    String CALL_MODEL_SIP_STR = "2";
    // 电话 String
    String CALL_MODEL_PHONE_STR = "3";
    String callLoginStatus = "sobot_call_loginStatus";//呼叫客服的登录状态
    String callStatusList_v1 = "sobot_call_StatusList_v1";//呼叫客服自定义状态列表
    String callStatusList_v6 = "sobot_call_StatusList_V6";//呼叫客服自定义状态列表

    //sp的key  缓存呼叫中心技能组
    String SP_KEY_CALL_GROUP_ID = "sp_key_call_group_id";

    //打电话模式类型 sip2 / phone3 /network1
    String SP_KEY_CALL_MODEL_TYPE_V1 = "sp_key_call_model_type_v1";
    String SP_KEY_CALL_MODEL_TYPE_V6 = "sp_key_call_model_type_V6";
    String SP_KEY_USER_PHONE = "userPhone";

    String SP_KEY_SDK_MODEL_TYPE = "sp_key_sdk_model_type";//sdk 集成方式 0 模块集成 1 接口集成
    int SDK_MODEL_MODULE = 0;//0 模块集成
    int SDK_MODEL_CUSTOMER = 1;//1 接口集成
    String SOBOT_CALL_CURRENT_VERSION = "sobot_call_current_version";// 0 没有呼叫 ;1 v1 ;6 v6
    String SOBOT_ACTION_CALL_CHANGE_VERSION = "SOBOT_ACTION_CALL_CHANGE_VERSION";// 呼叫版本更改后的广播
    String SOBOT_ACTION_CALL_EXIT_LOGIN = "sobot_exit_go_to_login";// 被挤下去，退出登录后的广播
    String CALL_STATUS_FLOAT = "call_status";//v6 通话状态浮层
    String CALL_TIP_FLOAT = "call_tip_float";//v6 提示浮层

    String CALL_FLOAT_INCOMING_NOTICE = "call_float_incoming_notice";//v6 app在后台时 来电通知 浮层
    String CALL_OPEN_WORDORDER = "call_open_wordorder";//v6 通话详情 留言录音 点击关联工单 跳转



    interface ServerScheme {
        String openSips = "0";
        String vos = "1";
        String FS = "2";
    }

    interface CallModelSipFlag {
        /**
         * 绑定座席
         */
        int BIND_SIP = 0;
        /**
         * 动态绑定
         */
        int DYNAMIC_SIP = 1;
    }

    interface AgentLoginInput {
        String phoneType = "AgentLoginInput.phoneType";
        String bindExt = "AgentLoginInput.bindExt";
        String bindMobile = "AgentLoginInput.bindMobile";
        String thisQueues = "AgentLoginInput.thisQueues";
        String groupName = "AgentLoginInput.group";
    }

    String CALLING_CODE = "callingCode";//坐席选择外呼时得国际编码
    String CALL_SUMMARY_CONFIG="call_summary_config";//呼叫总结设置


    String CALL_SERVICE_SUMMARY_FLAG="call_service_summary_flag";//服务总结开关

    String SOBOT_CALL_KEY_LOGIN_FROM = "sobot_call_key_login_from";//登录方式 1 ：app，0：sdk
}