package com.sobot.callsdk.v1.entity.v1;

import java.io.Serializable;

/**
 * @author Created by jinxl on 2019/3/14.
 */
public class SobotCallRecordV1 implements Serializable {

    /**
     * abandonFlag : 0
     * agentAlertingTime : 1547631052158
     * agentAlertingTimeStr : 20190116173052158
     * agentEndTime : 1547631067185
     * agentEndTimeStr : 20190116173107185
     * agentStartTime : 1547631067123
     * agentStartTimeStr : 20190116173107123
     * agentid : 2856580f156a4f9ea73dd4e9ac86896e
     * alertingTimeDuration : 15
     * businessId :
     * businessName :
     * businessTypeId :
     * businessTypeName :
     * bussinessTypePathId :
     * bussinessTypePathName :
     * callDuration : 15
     * callFlag : 0
     * callRecordId : bed74e85-103e-4a8a-91ab-6cbbce0258f3
     * callResult : 21
     * callSucc : false
     * callWay : 3
     * callee : 10086
     * calleeId :
     * calleeName :
     * caller : 15110157909
     * callerId : 2856580f156a4f9ea73dd4e9ac86896e
     * callerName : testxx
     * companyId : f4f016828d0747ea8da900fda25f7aa7
     * departmentId :
     * direction : 1
     * disNumber : 075536654679
     * duration : 0
     * endTime : 1547631067185
     * endTimeStr : 20190116173107185
     * ender : 2
     * endtype : 3
     * enterGroupFlag : 1
     * existFlag : 0
     * fee : 0
     * feeDuration : 0
     * groupId : f4f016828d0747ea8da900fda25f7aa7_1
     * groupName : testxx
     * groupType : 2
     * handleStatus : -1
     * hiddenFlag : 0
     * hold : 0
     * holdCount : 0
     * holdTime : 0
     * id : bed74e85-103e-4a8a-91ab-6cbbce0258f3
     * inQueueTime : 0
     * inQueueTimeStr :
     * isLeaveMsg : 0
     * isOutCallInTask : 0
     * isqueue : 0
     * leaveMsgUrl :
     * lineType : 5
     * nick :
     * numberCity : 未知归属地
     * numberProvice : 未知归属地
     * outQueueTime : 0
     * outQueueTimeStr :
     * passPlatformType : 1
     * platformType : 0
     * qualityStatus : 0
     * queueDuration : 0
     * queueState : 1
     * receiveStaffIds : 2856580f156a4f9ea73dd4e9ac86896e,2856580f156a4f9ea73dd4e9ac86896e,2856580f156a4f9ea73dd4e9ac86896e
     * receiveStaffNames : testxx,testxx
     * remarks :
     * satisfyLevel : 2
     * satisfyNumber : 0
     * satisfyValue :
     * serviceEmail : 132@sobot.com
     * staffId : 2856580f156a4f9ea73dd4e9ac86896e
     * staffName : testxx
     * startTime : 1547631051645
     * startTimeStr : 20190116173051645
     * summaryStaffName :
     * summaryUpdateTime : 0
     * summaryUpdateTimeStr :
     * taskId :
     * taskStatus : 0
     * transferCount : 0
     * transferFlag : 0
     * unHold : 0
     * userAlertingTime : 0
     * userAlertingTimeStr :
     * userAnswerTime : 0
     * userAnswerTimeStr :
     * userCompanyId :
     * userCompanyName :
     * userId :
     * userName :
     * voiceAliyunUrl :
     * voiceRonglianUrl :
     */

    //呼叫时长（秒）
    private int callDuration;
    //呼叫结果类型
    // 10：座席接听
    //11：振铃未接听
    //12：IVR放弃
    //13：排队失败
    //14：非服务时间来电
    //15：呼入话机异常
    //16：呼入网络异常
    //20：客户接听
    //770：客户关机
    //771：客户停机
    //772：暂时无法接通
    //773：客户正在通话
    //774：号码空号
    //781：客户拒接
    //21：客户未接听
    //24：客户未接听
    //25：呼出话机异常
    //26：呼出网络异常
    private String callResult;
    //被叫号码
    private String callee;
    private String calleeId;
    private String calleeName;
    //呼叫类型（1：呼出；0：呼入）
    private int direction;
    //呼叫开始时间，时间戳（毫秒）
    private String startTime;
    private String startTimeStr;
    //主叫号码
    private String caller;
    private String callerId;
    private String callerName;
    //技能组id
    private String groupId;
    private int hiddenFlag;

    public int getHiddenFlag() {
        return hiddenFlag;
    }

    public void setHiddenFlag(int hiddenFlag) {
        this.hiddenFlag = hiddenFlag;
    }

    public int getCallDuration() {
        return callDuration;
    }

    public void setCallDuration(int callDuration) {
        this.callDuration = callDuration;
    }

    public String getCallResult() {
        return callResult;
    }

    public void setCallResult(String callResult) {
        this.callResult = callResult;
    }

    public String getCallee() {
        return callee;
    }

    public void setCallee(String callee) {
        this.callee = callee;
    }

    public String getCalleeId() {
        return calleeId;
    }

    public void setCalleeId(String calleeId) {
        this.calleeId = calleeId;
    }

    public String getCalleeName() {
        return calleeName;
    }

    public void setCalleeName(String calleeName) {
        this.calleeName = calleeName;
    }

    public int getDirection() {
        return direction;
    }

    public void setDirection(int direction) {
        this.direction = direction;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getStartTimeStr() {
        return startTimeStr;
    }

    public void setStartTimeStr(String startTimeStr) {
        this.startTimeStr = startTimeStr;
    }

    public String getCaller() {
        return caller;
    }

    public void setCaller(String caller) {
        this.caller = caller;
    }

    public String getCallerId() {
        return callerId;
    }

    public void setCallerId(String callerId) {
        this.callerId = callerId;
    }

    public String getCallerName() {
        return callerName;
    }

    public void setCallerName(String callerName) {
        this.callerName = callerName;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    @Override
    public String toString() {
        return "CallRecord{" +
                "callDuration=" + callDuration +
                ", callResult='" + callResult + '\'' +
                ", callee='" + callee + '\'' +
                ", calleeId='" + calleeId + '\'' +
                ", calleeName='" + calleeName + '\'' +
                ", direction=" + direction +
                ", startTime='" + startTime + '\'' +
                ", startTimeStr='" + startTimeStr + '\'' +
                ", caller='" + caller + '\'' +
                ", callerId='" + callerId + '\'' +
                ", callerName='" + callerName + '\'' +
                ", groupId='" + groupId + '\'' +
                ", hiddenFlag='" + hiddenFlag + '\'' +
                '}';
    }
}
