package com.sobot.callsdk.sip.callback;

/**
 * 通话状态回调
 */

public  class SobotPhoneCallback {

    /**
     * 来电通知
     * @param jsep
     * @param isCallPhone true  客服外呼来电  false 用户呼入来电
     * @param userPhoneNumber 用户侧电话
     */
    public void incomingCall(String jsep,boolean isCallPhone, String userPhoneNumber) {}

    /**
     * 接通中
     */
    public void callConnected() {}

    /**
     *来电了拒绝接听
     */
     public void rejected() {}


    /**
     * 电话结束
     */
    public void callEnd() {}

}
