package com.sobot.callsdk.v1.viewholder;

import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.sobot.callsdk.R;

/**
 * @author: Sobot
 * 2022/7/15
 */
public class SobotCallPlanVH extends RecyclerView.ViewHolder{
    public TextView tv_content;
    public TextView tv_time;
    public RelativeLayout tv_detail;
    public RelativeLayout contentLayout;
    public TextView menuLayout;


    public SobotCallPlanVH(@NonNull View itemView) {
        super(itemView);
        tv_content =itemView.findViewById(R.id.tv_call_content);
        tv_time = itemView.findViewById(R.id.tv_call_time);
        tv_detail = itemView.findViewById(R.id.call_contact_plan_tv_detail);
        contentLayout = itemView.findViewById(R.id.content_layout);
        menuLayout = itemView.findViewById(R.id.tv_call_delete_menu);
    }
}
