package com.sobot.callsdk.v1.viewholder;

import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.sobot.callsdk.R;

/**
 * @author: Sobot
 * 2022/7/18
 */
public class SobotCallTaskVH extends RecyclerView.ViewHolder{
    public TextView call_task_name;
    public TextView call_task_time;
    public TextView call_task_time_hint;
    public TextView call_task_details_times;
    public TextView call_task_details_times_lable;
    public TextView call_task_btn;
    public LinearLayout desc_layout;
    public LinearLayout call_layout;


    public SobotCallTaskVH(@NonNull View itemView) {
        super(itemView);
        call_task_name = itemView.findViewById(R.id.call_task_name);
        call_task_time = itemView.findViewById(R.id.call_task_time);
        call_task_time_hint = itemView.findViewById(R.id.call_task_time_hint);
        call_task_details_times = itemView.findViewById(R.id.call_task_details_times);
        call_task_details_times_lable = itemView.findViewById(R.id.call_task_details_times_lable);
        call_task_btn = itemView.findViewById(R.id.call_task_btn);
        desc_layout = itemView.findViewById(R.id.call_task_details_item);
        call_layout = itemView.findViewById(R.id.call_fragment_item);
    }
}
