package com.sobot.callsdk.v6.callenum;

//通话过程 咨询状态表
public enum ConsultStage {
    Unknown("0", "未知"),
    consultStart("1", "开始咨询"),
    consultRing("2", "被咨询方振铃"),
    consultCancel("3", "咨询已取消"),
    consultAnswer("4", "被咨询方接听"),
    consultBack("5", "咨询后取回"),
    consultTransfer("6", "咨询后转接"),
    consultConference("7", "咨询后会议"),
    conferenceTransfer("8", "会议后转移"),
    conferenceBack("9", "会议后取回"),
    ;

    private String num;//状态值
    private String des;//描述

    ConsultStage(String num, String des) {
        this.num = num;
        this.des = des;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }
}
